HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetPromotionCodesPromotionCode

Contains the different functions to run the operation getPromotionCodesPromotionCode

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetPromotionCodesPromotionCode.hs
valuegetPromotionCodesPromotionCode
  1. :: MonadHTTP m
  2. => GetPromotionCodesPromotionCodeParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetPromotionCodesPromotionCodeResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/promotion_codes/{promotion_code}

<p>Retrieves the promotion code with the given ID. In order to retrieve a promotion code by the customer-facing <code>code</code> use <a href="/docs/api/promotion_codes/list">list</a> with the desired <code>code</code>.</p>

Defines the object schema located at paths./v1/promotion_codes/{promotion_code}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getPromotionCodesPromotionCode.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetPromotionCodesPromotionCodeResponseError is used.

Constructors

Instances2Eq, Show